Page MenuHomePhabricator

Review the ExtraLanguageLink extension for deployment
Closed, DeclinedPublic

Description

This is a really simple extension that allows semi-arbitrary links to be appended to the "Languages" section of a page's sidebar. It can be locked down so that (for example) extra language links can only be added to the Main Page (T18962), or so that extra language links may only point to Old Wikisource (T34189) (no longer needed due to the introduction of $wgExtraInterlanguageLinkPrefixes in core).

It's only about 200 lines of code all up, so it shouldn't take very long to review.

Here is "Greg's checklist" for this extension:

TODO/Check list

Extension page on mediawiki.org: Yes
Bugzilla Phabricator component: Yes (was requested in T66784)
Extension in Gerrit: Yes Repo creation requested
Design Review: No, but since it is so simple, I doubt it really needs one
Architecture/Performance Review: T66903
Security Review: T66902
Community support: Not needed in the case of T18962 (ELL offers a more robust implementation of an existing "feature"); seems unnecessary in the case of T34189 (simple uncontroversial enhancement request)

Details

Reference
bz64786

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:10 AM
bzimport set Reference to bz64786.
bzimport added a subscriber: Unknown Object (MLST).
TTO created this task.May 3 2014, 8:04 AM
TTO added a comment.May 3 2014, 10:54 AM

CCing a few people.

Did you mean to CC somebody else than me? Because I don't see what I could be supposed to do about this. :)

TTO added a comment.May 4 2014, 3:51 AM

(In reply to Bartosz Dziewoński from comment #2)

Did you mean to CC somebody else than me? Because I don't see what I could
be supposed to do about this. :)

I'm not sure what I meant to do... You're welcome to un-CC yourself if you like.

greg added a comment.May 5 2014, 3:33 PM

Architecture/Performance Review: bug 64903
Security Review: bug 64902

CC'ing Dan for Product perspective. Dan, let me know what you think on this one.

TTO added a comment.May 6 2014, 8:08 AM

Code's up in the repository.

TTO updated the task description. (Show Details)Dec 13 2014, 12:02 AM
TTO set Security to None.
TTO closed this task as Resolved.Aug 11 2016, 10:43 PM
TTO claimed this task.

I don't think there is any need for this extension any more. The Wikisource issue appears to be solved, and Compact Language Links will solve the JavaScript "complete list" issue properly.

TTO changed the task status from Resolved to Declined.Aug 11 2016, 10:43 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 11 2016, 10:43 PM
In T66786#2546087, @TTO wrote:

The Wikisource issue appears to be solved

How? I thought the point was that WikibaseClient forced Wikisource to only have one interwiki for each target language.

TTO added a comment.Aug 12 2016, 7:37 AM

At e.g. https://en.wikisource.org/wiki/Our_Father the interlanguage link "More languages" appears, which is AFAIK the desired outcome. Ideally it would be at the end of the list, but that could be fixed by editing the relevant system message, or by patching WikibaseClient.

If you're saying that Wikisource wants a separate interlanguage link for each relevant page on sourceswiki, then this extension wouldn't have solved that.

In T66786#2546941, @TTO wrote:

If you're saying that Wikisource wants a separate interlanguage link for each relevant page on sourceswiki

No, I mean T45671: Pages with more than one interwiki only show one single link.